openapi: 3.1.0
info:
  version: 1.0.0
  title: Latchel Webhooks
  contact:
    email: tech@latchel.com
  x-logo:
    url: '/api-docs/latchel-docs-logo.png'
    altText: Latchel Webhook Documentation
  description:
    $ref: ./info-description.md
servers:
  - url: 'http://latchel.com.com/apiv1'
  - url: 'https://latchel.com.com/apiv1'
webhooks:
  job_mutated:
    $ref: paths/job.yaml
  tenant_mutated:
    $ref: paths/tenant.yaml
  portfolio_mutated:
    $ref: paths/portfolio.yaml
  invoice_mutated:
    $ref: paths/invoice.yaml
  property_mutated:
    $ref: paths/property.yaml
  file_mutated:
    $ref: paths/file.yaml
  owner_mutated:
    $ref: paths/owner.yaml
components:
  schemas:
    State:
      $ref: components/schemas/state.yaml
    Job:
      $ref: components/schemas/job.yaml
